# NexoPOS In Docker
[NexoPOS](nexopos.com)

## Getting Started
1. Initialize submodules to pull in nexopos from upstream `git submodule update --init --recursive`
2. Make sure `start.sh` is executable `chmod +x ./start.sh`
3. Build the image `docker image build -t nexopos:latest .`

## Run In Portainer
1. Clone this repo to somewhere on the host machine
2. Follow [Getting Started](#Getting-Started) to build the image
3. Copy the contents of `docker-compose.portainer.yml` into a new portainer stack
4. Head to `http://<portainer_host_ip>:80` to configure NexoPOS

## Run In Docker
1. Clone this repo to somewhere on the machine
2. Follow [Getting Started](#Getting-Started) to build the image
3. Run `docker-compose up -d` (or `docker compose up -d` depending on your system)
4. Head to `http://localhost:80` to configure NexoPOS

## Changing NexoPOS Version
1. Change directory to `./dist`
2. Checkout the version using `git checkout tags/<version_here>` (e.g `git checkout tags/v5.2.0`)
3. Build a new image, optionally using the version as the image version (e.g `docker image build -t nexopos:v5.2.0` and updating the image in the compose file/stack definition `image: nexopos:v5.2.0`)

# TODO
- [ ] Setup the image to use `supervisord` instead of `php artisan serve`